AnsweredAssumed Answered

Upgrade issues

Question asked by mxs57 on Jun 26, 2014
Latest reply on Jun 26, 2014 by mxs57
Hi all,

I am currently trying to upgrade our alfresco to the latest version 4.2.f. Our version is 3.4.a, I upgraded it unitl 3.4.e without issues. When I deployed the 4.2.f, I have got some erros or warning as below:

<blockquote>
INFO  [patch.impl.AVMToADMRemoteStorePatch] [AVMToADMRemoteStorePatch3] WARNING: unable to migrate path as site id cannot be found
</blockquote>

<blockquote>
ERROR [patch.impl.AVMToADMRemoteStorePatch] [localhost-startStop-1] AVMToADMRemoteStorePatch: 17 error(s) detected. Last error from entry "sitestore:/alfresco/site-data/components/page.tool.admin-console.xml"
org.alfresco.service.cmr.repository.ContentIOException: 05240090 Failed to copy reader content to writer
</blockquote>

<blockquote>
SEVERE: IOException while loading persisted sessions: java.io.InvalidClassException: org.alfresco.web.bean.dialog.BaseDialogBean; local class incompatible: stream classdesc serialVersionUID = 2069698972533448602, local class serialVersionUID = -5911082208943006605
java.io.InvalidClassException: org.alfresco.web.bean.dialog.BaseDialogBean; local class incompatible: stream classdesc serialVersionUID = 2069698972533448602, local class serialVersionUID = -5911082208943006605
</blockquote>

I followed the method from alfresco documentation, mysql dump, backup of alf_data on restore on new version. When I am trying to access any site on new alfresco I have got the 500 error:
<blockquote>
A server error has occured
</blockquote>

I tried with "java openjdk" and "java sun jdk", it is still not working. Do you have any idea about this issue?

Best regards,
Mxs57.

Outcomes